/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\misc\addons\impassableaddon.cs
Lines of code: 35
***********************************************************/


using System;
using Server;
using Server.Spells;
using Server.Items;
using Server.Network;
using Server.Misc;
using Server.Mobiles;


namespace Server.Items
{
	public class impassableaddon : AddonComponent
	{
	

		[Constructable]
		public impassableaddon() :  base(7955)
		{
		Visible = false;
		}



		public override bool OnMoveOver( Mobile m )
		{
		return false;
		}
		
		
		public impassableaddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}
